Subject: bug#79305: 31.0.50; MODE-set-explicitly change caused regressions in bind-map

From: Stefan Monnier <[email-masked]>
Date: Mon, 01 Sep 2025 11:42:08 -0400

>> After spending some time looking at the code, its history, and the
>> corresponding doc, my conclusion is that `bind-map`s code was probably
>> incorrect already with older Emacsen (just in different ways) and its
>> intended behavior is far from clear, so I think it's best to leave this
>> as a WONTFIX and let `bind-map`s authors figure out what to do on
>> their side (tho I'd be happy to help them figure that out).
> You don't think we should even restore it and mark it as obsolete?

Since I believe bind-map's code was only half-working to begin with: no,
I don't think it's worth the trouble.  It would just help them
muddle through.  I'd rather help them fix their code for good.

        Stefan